// Code generated by mockery v2.14.0. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"

	types "gitlab.com/cyverse/cacao/provider-openstack-service/types"
)

// AsyncPort is an autogenerated mock type for the AsyncPort type
type AsyncPort struct {
	mock.Mock
}

// Init provides a mock function with given fields: config
func (_m *AsyncPort) Init(config types.Configuration) {
	_m.Called(config)
}

// Start provides a mock function with given fields:
func (_m *AsyncPort) Start() {
	_m.Called()
}

type mockConstructorTestingTNewAsyncPort interface {
	mock.TestingT
	Cleanup(func())
}

// NewAsyncPort creates a new instance of AsyncPort. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewAsyncPort(t mockConstructorTestingTNewAsyncPort) *AsyncPort {
	mock := &AsyncPort{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
